zpruneL.c File Reference

Prunes the L-structure. More...

`#include "slu_zdefs.h"`
Include dependency graph for zpruneL.c:

## Functions

void | zpruneL (const int jcol, const int *perm_r, const int pivrow, const int nseg, const int *segrep, const int *repfnz, int_t *xprune, GlobalLU_t *Glu)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

      -- SuperLU routine (version 2.0) --
      Univ. of California Berkeley, Xerox Palo Alto Research Center,
      and Lawrence Berkeley National Lab.
      November 15, 1997

      Copyright (c) 1994 by Xerox Corporation.  All rights reserved.

      THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY
      EXPRESSED OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.

      Permission is hereby granted to use or copy this program for any
      purpose, provided the above notices are retained on all copies.
      Permission to modify the code and to distribute modified code is
      granted, provided the above notices are retained, and a notice that
      the code was modified is included with the above copyright notice.
    *

## Function Documentation

## zpruneL()

void zpruneL | ( | const int | jcol,
|  | const int * | perm_r,
|  | const int | pivrow,
|  | const int | nseg,
|  | const int * | segrep,
|  | const int * | repfnz,
|  | int_t * | xprune,
|  | GlobalLU_t * | Glu
| ) |  |

    Purpose
    =======
      Prunes the L-structure of supernodes whose L-structure
      contains the current pivot row "pivrow"